Debian Bug report logs - #647120
libgeo-proj4-perl: FTBFS with perl 5.14: CCFLAGS should include $Config{ccflags}

version graph

Package: src:libgeo-proj4-perl; Maintainer for src:libgeo-proj4-perl is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 30 Oct 2011 15:48:01 UTC

Severity: serious

Tags: patch

Found in version libgeo-proj4-perl/1.01-1

Fixed in version libgeo-proj4-perl/1.01-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#647120; Package src:libgeo-proj4-perl. (Sun, 30 Oct 2011 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 30 Oct 2011 15:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libgeo-proj4-perl: FTBFS with perl 5.14: CCFLAGS should include $Config{ccflags}
Date: Sun, 30 Oct 2011 15:45:43 +0000
Source: libgeo-proj4-perl
Version: 1.01-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.14-transition

As discussed on Debian bug #628522, this package fails to build with
perl 5.14.1 (in experimental) on i386 because $Config{ccflags} is being
overridden by local CCFLAGS options:

#   Failed test 'use Geo::Proj4;'
#   at t/10utm.t line 9.
#     Tried to use 'Geo::Proj4'.
#     Error:  Not a CODE reference at /usr/lib/perl/5.14/DynaLoader.pm line 207.
# END failed--call queue aborted at blib/lib/Geo/Proj4.pm line 207.
# Compilation failed in require at (eval 4) line 2.
# BEGIN failed--compilation aborted at (eval 4) line 2.
# Looks like you failed 1 test of 43.
t/10utm.t ...... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/43 subtests 

This bug is also discussed upstream at
<https://rt.cpan.org/Public/Bug/Display.html?id=68613>.

Please modify the build system of this package to append $Config{ccflags}
to CCFLAGS. In most cases this will be by editing Makefile.PL.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#647120; Package src:libgeo-proj4-perl. (Sun, 30 Oct 2011 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 30 Oct 2011 15:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 647120@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 647120@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#647120: Acknowledgement (libgeo-proj4-perl: FTBFS with perl 5.14: CCFLAGS should include $Config{ccflags})
Date: Sun, 30 Oct 2011 15:55:58 +0000
[Message part 1 (text/plain, inline)]
tags 647120 +patch
thanks

Patch attached.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[libgeo-proj4-perl-5.14.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 30 Oct 2011 15:57:10 GMT) Full text and rfc822 format available.

Added indication that bug 647120 blocks 637809 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 13 Nov 2011 11:45:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 13 Nov 2011 11:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#647120; Package src:libgeo-proj4-perl. (Sun, 13 Nov 2011 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 13 Nov 2011 16:03:09 GMT) Full text and rfc822 format available.

Message #21 received at 647120@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 647120@bugs.debian.org
Subject: libgeo-proj4-perl: diff for NMU version 1.01-1.1
Date: Sun, 13 Nov 2011 17:01:17 +0100
[Message part 1 (text/plain, inline)]
tags 647120 + pending
thanks

Dear maintainer,

I've prepared an NMU for libgeo-proj4-perl (versioned as 1.01-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Sinéad O'Connor: Troy
[libgeo-proj4-perl-1.01-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 16:03:17 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 15 Nov 2011 18:57:07 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 15 Nov 2011 18:57:07 GMT) Full text and rfc822 format available.

Message #28 received at 647120-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 647120-close@bugs.debian.org
Subject: Bug#647120: fixed in libgeo-proj4-perl 1.01-1.1
Date: Tue, 15 Nov 2011 18:54:26 +0000
Source: libgeo-proj4-perl
Source-Version: 1.01-1.1

We believe that the bug you reported is fixed in the latest version of
libgeo-proj4-perl, which is due to be installed in the Debian FTP archive:

libgeo-proj4-perl_1.01-1.1.debian.tar.gz
  to main/libg/libgeo-proj4-perl/libgeo-proj4-perl_1.01-1.1.debian.tar.gz
libgeo-proj4-perl_1.01-1.1.dsc
  to main/libg/libgeo-proj4-perl/libgeo-proj4-perl_1.01-1.1.dsc
libgeo-proj4-perl_1.01-1.1_i386.deb
  to main/libg/libgeo-proj4-perl/libgeo-proj4-perl_1.01-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libgeo-proj4-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Nov 2011 16:54:42 +0100
Source: libgeo-proj4-perl
Binary: libgeo-proj4-perl
Architecture: source i386
Version: 1.01-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libgeo-proj4-perl - Proj4 library for carthographic projections
Closes: 647120
Changes: 
 libgeo-proj4-perl (1.01-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS with perl 5.14: CCFLAGS should include $Config{ccflags}":
     add patch conf_ccflags.patch by Dominic Hargreaves (closes: #647120).
Checksums-Sha1: 
 dee899c6be7926c350f8990a2020eeba4b9bd407 2019 libgeo-proj4-perl_1.01-1.1.dsc
 ba64e87646d35a2fbd4e4c4d1846c18b831d084f 1874 libgeo-proj4-perl_1.01-1.1.debian.tar.gz
 0d0f7d82691e0a8d37af2885f42b00a054844984 29272 libgeo-proj4-perl_1.01-1.1_i386.deb
Checksums-Sha256: 
 fc86c75168c8049c01a13553de10578f3957cf27607bf6c6630ea943e7dcdf70 2019 libgeo-proj4-perl_1.01-1.1.dsc
 acb98bb3d46cc8ad96f336ffd24b0b07ccfba932ceda8363885bc719e4d54be8 1874 libgeo-proj4-perl_1.01-1.1.debian.tar.gz
 15485a1ce53709051a6996688438e13acf49c89ab5294ef032f39a9112f98e03 29272 libgeo-proj4-perl_1.01-1.1_i386.deb
Files: 
 7e375498348b2bb9b6f09b609d4367f2 2019 perl optional libgeo-proj4-perl_1.01-1.1.dsc
 bc1d6335711568c9dc1f7f836efee85a 1874 perl optional libgeo-proj4-perl_1.01-1.1.debian.tar.gz
 29fe8f0cd2cdec97d06b4609d46e8b64 29272 perl optional libgeo-proj4-perl_1.01-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOv+kJAAoJELs6aAGGSaoGvUwP/iaYZpG5vK6Zq6bULr1w9y+l
tc1DF8XgNP+Sb1Zvq79veG/dWD1As9E0rVNVx5yZTDu4KPfSnDTU7mJo2ZVtkgJK
X4qEf8sDPXptDYlrEAKOtYqhgUkXLyjgC8cLkQgJFJmjcyShuQhNhsEhaj8s9A4P
+COiAyzvjWz1UBtNDqGR0QKzjH/x/d4N+JYvAsI4knJBWp1kLTgqGqBUUR5ondXw
2kZThOBihNre9hatGEBSC5ir+EaIE5bf8ZY3g75nWUoYF94q2RVivrcPCyvl4V0J
Rd8bLX903nKXlUr16ExZOhYpLenoVhIP8le/6vDDJwi1GKSW9UYro0bRcz3A21M8
fBxGPvcJpQqLGB5QeYYG1FUkI7AasvN8GLZnolYX5XEg6TaZGVoI3paPsjKkPg6k
VBq8/SW8ZzsnVIsKQTvq1p6arWkKq2ElHkFM4a/hIhhgXuq/QO6V4Imkoa2OrVg+
prPApR/bHNaTxuKufWigbH7xjPsnuf3r8vyr0HeYa1E0O3xiN6znvYr6E8xSDsxb
Wu+zheQ4GyDca/Mxk6SjqCU/XGrTLPDS7+WICn6CtPaQ80XeoNpFyRXT8Rph52P2
fwIPhDNfJJZXVVhxZXF0Nzxx/hUEt/8JuIYAhnuDTpSdwVWqpvHqaSscwTjoPwQC
+6DHKUw7xdixbCkBkW4B
=Ra/8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:31:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.